Loading...
Searching...
No Matches
inetlisteningservers_probe.c File Reference

inetlisteningserver probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdio_ext.h>`
`#include <errno.h>`
`#include <dirent.h>`
`#include <fcntl.h>`
`#include <netdb.h>`
`#include <arpa/inet.h>`
`#include <regex.h>`
`#include "_seap.h"`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "common/debug_priv.h"`
`#include "inetlisteningservers_probe.h"`
Include dependency graph for inetlisteningservers_probe.c:

## Data Structures

struct | server_info
struct | result_info
struct | _lnode
struct | llist

## Typedefs

typedef struct _lnode | lnode

## Functions

int | inetlisteningservers_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

inetlisteningserver probe

Author
  "Steve Grubb" sgrub.nosp@m.b@re.nosp@m.dhat..nosp@m.com

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process an inetlisteningserver_object as defined in OVAL 5.4 and 5.5.